Bug 448236 - Review Request: xfbib - Lightweight BibTeX editor for the Xfce desktop environment
Review Request: xfbib - Lightweight BibTeX editor for the Xfce desktop enviro...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-24 16:48 EDT by Christoph Wickert
Modified: 2008-06-12 22:24 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-11 19:05:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
michel: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2008-05-24 16:48:11 EDT
Spec URL: http://cwickert.fedorapeople.org/review/xfbib.spec
SRPM URL: http://cwickert.fedorapeople.org/review/xfbib-0.0.2-1.fc10.src.rpm
Description: Xfbib is a lightweight BibTeX editor developed for the Xfce desktop 
environment. The intention of Xfbib is to provide an easy and efficient way of editing BibTeX files.
Comment 1 Michel Alexandre Salim 2008-06-04 15:20:34 EDT
desktop-file-install should probably be called with --vendor="fedora", not "" ?
Comment 2 Christoph Wickert 2008-06-04 15:53:54 EDT
We are not using "vendor" for the other Xfce packages as well (except for
xfce4-taskmanager), but I can change it if you like. Thinking about this a
little more I tend to agree with you: fedora-xfbib.desktop is better than
xfbib.desktop, because xfbib has no "xfce" prefix.

Do you want me to change this now or after/during review?

BTW: I just found another trivial error in %changelog: "Initial Fedora _Extras_
package" of course is wrong because there are no Extras any longer.
Comment 3 Michel Alexandre Salim 2008-06-05 01:12:04 EDT
In case where the vendor is not already set, then yes, adding "fedora" is
probably the thing to do (or add "xfce" instead? I'll leave it to your
discretion). And yes, the "Extras" thing can be done without.

As it turns out, there are a couple of other problems, all easily fixable. Need
to ask a small favour -- could you review a couple of my requests in turn? Much
obliged:

https://bugzilla.redhat.com/buglist.cgi?query_format=&short_desc_type=allwordssubstr&short_desc=&product=Fedora&version=&component=Package+Review&query_format=advanced&bug_status=NEW&bug_status=ASSIGNED&bug_status=NEEDINFO&bug_status=MODIFIED&long_desc_type=allwordssubstr&long_desc=&bug_file_loc_type=allwordssubstr&bug_file_loc=&status_whiteboard_type=allwordssubstr&status_whiteboard=&fixed_in_type=allwordssubstr&fixed_in=&qa_whiteboard_type=allwordssubstr&qa_whiteboard=&keywords_type=allwords&keywords=&bugidtype=include&bug_id=&emailreporter1=1&emailtype1=exact&email1=michel.sylvan%40gmail.com&emailtype2=exact&email2=&votes=&changedin=&chfieldfrom=&chfieldto=Now&chfieldvalue=&cmdtype=doit&order=Reuse+same+sort+as+last+time&field0-0-0=flagtypes.name&type0-0-0=notsubstring&value0-0-0=fedora-review

MUSTFIX:
• own all directories: FAIL
  installs files in %{_datadir}/icons/hicolor: need to require hicolor-icon-theme

SHOULDFIX:
• scriplets are sane: add vendor (fedora or xfce)

MUST, passed:
• rpmlint: clean
• package name: ok
• spec file name: ok
• package guideline-compliant: ok
• license complies with guidelines: ok
• license field accurate: ok
• license file not deleted: ok
• spec in US English: ok
• spec legible: ok
• source matches upstream: ok
• builds under >= 1 archs, others excluded: ok
• build dependencies complete: ok
• locales handled using %find_lang, no %{_datadir}/locale: ok
• no dupes in %files: ok
• permission: ok
• %clean RPM_BUILD_ROOT: ok
• macros used consistently: ok
• Package contains code: ok
• desktop file uses desktop-file-install: ok
• clean buildroot before install: ok
• filenames UTF-8: ok

SHOULD
• desc and summary contain translations if available: ok
• package build in mock on all architectures: ok
  http://koji.fedoraproject.org/koji/taskinfo?taskID=647081
• package functioned as described: ok
• require package not files: ok

Comment 4 Christoph Wickert 2008-06-05 05:46:31 EDT
(In reply to comment #3)
> could you review a couple of my requests in turn?

Of course, I will see what I can do.

> MUSTFIX:
> • own all directories: FAIL
>   installs files in %{_datadir}/icons/hicolor: need to require hicolor-icon-theme

Really? We already have an dependency on hicolor-icon-theme, although we don't
require it explicitly:
$ rpm -q --requires xfbib | grep gtk
libgtk-x11-2.0.so.0  
$ rpm -q --whatprovides libgtk-x11-2.0.so.0
gtk2-2.12.9-5.fc9.i386
$ rpm -q --requires gtk2 | grep hicolor
hicolor-icon-theme  

I used to think that this kind of dependency chain is enough.

> SHOULDFIX:
> • scriplets are sane: add vendor (fedora or xfce)

Will do.
Comment 5 Michel Alexandre Salim 2008-06-05 15:15:05 EDT
Ah yes. Good point -- hicolor-icon-theme is in the dependency chain, so I'll
approve this review and you can add the vendor when uploading.

APPROVED
Comment 6 Christoph Wickert 2008-06-06 04:13:12 EDT
New Package CVS Request
=======================
Package Name: xfbib
Short Description: Lightweight BibTeX editor for the Xfce desktop environment
Owners: cwickert
Branches: F-8 F-9 devel
InitialCC:
Cvsextras Commits: yes
Comment 7 Kevin Fenzi 2008-06-06 11:43:56 EDT
cvs done.
Comment 8 Christoph Wickert 2008-06-11 19:05:00 EDT
Packages for all branches have been build successfully. Closing.
Comment 9 Fedora Update System 2008-06-11 19:34:08 EDT
xfbib-0.0.2-1.fc8 has been submitted as an update for Fedora 8
Comment 10 Fedora Update System 2008-06-11 19:35:34 EDT
xfbib-0.0.2-1.fc9 has been submitted as an update for Fedora 9
Comment 11 Fedora Update System 2008-06-12 22:18:17 EDT
xfbib-0.0.2-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2008-06-12 22:24:50 EDT
xfbib-0.0.2-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.